package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author ma_sh
 * @version : 1.0
 * 租赁需求大厅状态枚举
 */
@Getter
public enum LeaseInfoEnum {

    LEASE_PENDING_ORDER(0, "待接单"),
    LEASE_ORDER_RECEIVED(1, "已接单"),
    LEASE_PAST_DUE(2, "已过期"),
    LEASE_ORDER_AUDIT(3, "接单待审核"),
    LEASE_ORDER_AUDIT_FAIL(4, "驳回");

    private final Integer status;
    private final String statusName;

    LeaseInfoEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
